#include<iostream.h>
#include<iomanip.h>
 int main()
{
 int a[5]={1,2,3,4,5},i,*p=a;
 for(i=0;i<5;i++)
  cout<<setw(3)<<a[i]; //下标法
 cout<<endl;
 for(i=0;i<5;i++)
  cout<<setw(3)<<*(a+i);//指针法
 cout<<endl;
 for(i=0;i<5;i++,p++)
  cout<<setw(3)<<*p;       //指针法
 cout<<endl;
 return(0);
}
